Subject: Re: [net-next 0/6] net: marvell: prestera: Add Switchdev driver for Prestera family ASIC device 98DX326x (AC3x)

From: Jiri Pirko <[email-masked]>
Date: Mon, 1 Jun 2020 08:24:17 +0200

Sat, May 30, 2020 at 05:54:29PM CEST, [email-masked] wrote:
>On Sat, May 30, 2020 at 05:52:31PM +0300, Vadym Kochan wrote:

[...]

>> > WARNING: do not add new typedefs
>> > #1064: FILE: drivers/net/ethernet/marvell/prestera/prestera_hw.h:32:
>> > +typedef void (*prestera_event_cb_t)
>> I may be wrong, as I remember Jiri suggested it and looks like
>> it makes sense. I really don't have strong opinion about this.
>
>OK, so I'll let Jiri comment when he is back at work.

I was not aware of this warning, but for function callbacks, I think it
is very handy to have them as typedef instead of repeating the prototype
over and over. For that, I don't think this warning makes sense.

[...]